"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateProviderImportAST = void 0;
const core_1 = require("@babel/core");
const constants_1 = require("./constants");
const generate_provider_data_uri_1 = require("./generate_provider_data_uri");
function generateProviderImportAST({ packageOptions: { definitions, packageName }, sourceType, }) {
    const packagePath = definitions != null ? (0, generate_provider_data_uri_1.generateProviderDataURI)({ definitions, packageName, sourceType }) : packageName;
    if (sourceType === constants_1.SOURCE_TYPE_COMMONJS) {
        return core_1.template.statement(`
      require(%%package_path%%);
    `)({
            package_path: core_1.types.stringLiteral(packagePath),
        });
    }
    else {
        return core_1.template.statement(`
      import %%package_path%%;
    `)({
            package_path: core_1.types.stringLiteral(packagePath),
        });
    }
}
exports.generateProviderImportAST = generateProviderImportAST;
