"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectActionCache = void 0;
const fast_json_stable_stringify_1 = __importDefault(require("fast-json-stable-stringify"));
class InjectActionCache {
    static _instances = new WeakMap();
    _cache;
    constructor() {
        this._cache = new Map();
    }
    static getInstance({ program }) {
        const instance = InjectActionCache._instances.get(program) ?? new InjectActionCache();
        InjectActionCache._instances.set(program, instance);
        return instance;
    }
    inject(args, fn) {
        const key = (0, fast_json_stable_stringify_1.default)(args);
        if (this._cache.get(key) !== true) {
            fn(...args);
        }
        this._cache.set(key, true);
    }
}
exports.InjectActionCache = InjectActionCache;
